## File "Configs/language.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal language.



## LANGUAGE
# Language settings of the site.
#  defaultLanguage                  : None      Default language
#  supportedLanguages               : None      Allowed languages
#  setCookieN                       : None      Use cookie for manual override.
#  setRequestN                      : None      Use browser language request negotiation.
#  setPathN                         : None      Use language codes in URL path for manual override.
#  setForcelanguageUrls             : None      Force different urls for each language (redirect).
#  setAllowContentLanguageFallback  : None      Allow content language fallback.
#  setUseCombinedLanguageCodes      : None      Allow combined language codes like de_DE or en_UK.
#  displayFlags                     : None      Display flags for language selection.
#  startNeutral                     : None      Create content initially as neutral language.
#  REQUEST                          : None      Request object (not used)
# 
# See manage_setLanguageSettings() arguments in PloneLanguageTool/LanguageTool.py
# for the latest list of all available keys and default values.
# 
# 
# Example : French only plone.
# 
# LANGUAGE = {
#   'defaultLanguage' : 'fr',
#   'supportedLanguages' : ('fr',),
#   'setCookieN' : 0,
#   'setRequestN' : 0,
#   'setPathN' : 0,
#   'setForcelanguageUrls' : 0,
#   'setAllowContentLanguageFallback' : 0,
#   'setUseCombinedLanguageCodes' : 0,
#   'displayFlags' : 0,
#   'startNeutral' : 0,
#   'REQUEST' : None,
# }
# 
LANGUAGE = {
  'defaultLanguage' : 'fr',
  'supportedLanguages' : ('fr', 'en'),
  'setCookieN' : 1,
  'setRequestN' : 1,
  'setPathN' : 1,
  'setForcelanguageUrls' : 1,
  'setAllowContentLanguageFallback' : 0,
  'setUseCombinedLanguageCodes' : 0,
  'displayFlags' : 0,
  'startNeutral' : 0,
  'REQUEST' : None,
}



