## File "Configs/types.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal types.

## TYPES_INSTALLED
# Tuple containing name of types installed by this package.
# 
TYPES_INSTALLED = (
        "ATPoll",
      )

## TYPES_UPDATED_PROPERTIES
# 
# * 'title' (optional - default : _unchanged) : string
#   Title
# 
# * 'description' (optional - default : _unchanged) : string
#   Description
# 
# * 'content_icon' (optional - default : _unchanged) : string
#   Icon
# 
# * 'content_meta_type' (optional - default : _unchanged) : string
#   Product meta type.
# 
# * 'product' (optional - default : _unchanged) : string
#   Product name
# 
# * 'factory' (optional - default : _unchanged) : string
#   Product factory method
# 
# * 'immediate_view' (optional - default : _unchanged) : string
#   Initial view name
# 
# * 'global_allow' (optional - default : _unchanged) : boolean
#   Implicitly addable
# 
# * 'filter_content_types' (optional - default : _unchanged) : boolean
#   Filter content types
# 
# * 'allowed_content_types' (optional - default : _unchanged) : list / dictionnary
#   Allowed content types
#   you can change this property by two ways :
#   - using a list : existing values are replaced
#   - using a dictionnary : you can choose weather new values are appended to or if they replace existing ones.
#     the syntax of the dictionnary is : 
#       {
#         'values' : ()   # Your list of values.
#         'append' : True # True to append your values to existing ones, False to replace existing values by yours
#       }
# 
# * 'allow_discussion' (optional - default : _unchanged) : boolean
#   Allow discussion
# 
# * 'default_view' (optional - default : _unchanged) : string
#   Default view method
# 
# * 'view_methods' (optional - default : _unchanged) : list / dictionnary
#   Available view methods
#   you can change this property by two ways :
#   - using a list : existing values are replaced
#   - using a dictionnary : you can choose weather new values are appended to or if they replace existing ones.
#     the syntax of the dictionnary is : 
#       {
#         'values' : ()   # Your list of values.
#         'append' : True # True to append your values to existing ones, False to replace existing values by yours
#       }
# 
# 
# See TypeInformation class in CMFCore/TypesTool.py
# for the latest list of all available keys and default values.
# 
# 
TYPES_UPDATED_PROPERTIES = {
    'Plone Site' : {
                  'view_methods' : {
                              'values' : ( 'arc-de-seine-carte-accueil', ),
                              'append' : True,
                            },
    },
    'Folder' : {
                  'filter_content_types' : True,
                  'allowed_content_types' : (
                              'Discussion Item',
                              'File',
                              'Folder',
                              'Image',
                              'PloneArticle',
                              'PlonePopoll',
                              'Questionnaire',
                            ),
                  'view_methods' : {
                              'values' : (
                                      'sinList',
                                      'arc-de-seine-carte-folder',
                                      'arc-de-seine-plan-interactif',
                                  ),
                              'append' : True,
                            },
              },
    'NewsletterTheme' : {
                  'filter_content_types' : True,
                  'allowed_content_types' : {
                              'values' : (
                                        'Newsletter',
                                        'Subscriber',
                                      ),
                              'append' : False,
                            },
              },
    'Newsletter' : {
                  'filter_content_types' : True,
                  'allowed_content_types' : (
                              'NewsletterReference',
                            ),
              },
}



##---------------------------------------------------------------------------



TYPES_DELETED_ALIASES = {
    'Folder' : (
        'properties',
    ),
}



##---------------------------------------------------------------------------



TYPES_CREATED_ALIASES = {
    'Folder' : {
        'un_alias' : 'une_valeur'
    },
}



##---------------------------------------------------------------------------



TYPES_UPDATED_ALIASES = {
    'Folder' : {
        'edit' : 'base_edit'
    },
}



