## File "PloneInstaller/Scripts/language_setup.py"
## -*- coding: utf-8 -*-
# 
# This file use the configuration described in "Configs/language.py" to setup the portal language.



from Products.CMFCore.utils import getToolByName



#########################################################################################################
########################################## Public methods ###############################################
#########################################################################################################



def language_install(self, out, project_name, globals):
    try:
      language_module = __import__("Configs.language",
                                            globals, locals(),
                                           [
                                              'LANGUAGE',
                                            ]
                                          )

      out.openSection("Configs.language setup")

      # Language configuration
      language = getattr(language_module, 'LANGUAGE', None)
      if language != None:
        _installLanguage(self, out, language)

      out.closeSection("Configs.language setup")

    except ImportError:
        out.info("Configs.language setup : Noting to be done.")



##---------------------------------------------------------------------------



def language_remove(self, out, project_name, globals):
    try:
      language_module = __import__("Configs.language",
                                            globals, locals(),
                                           [
                                              'LANGUAGE',
                                            ]
                                          )

      out.openSection("Configs.language removal")

      # Language configuration
      language = getattr(language_module, 'LANGUAGE', None)
      if language != None:
        _removeLanguage(self, out, language)

      out.closeSection("Configs.language removal")

    except ImportError:
        out.info("Configs.language removal : Noting to be done.")



#########################################################################################################
######################################## Install functions ##############################################
#########################################################################################################



## _installLanguage
# 
# Setup language configuration
def _installLanguage(self, out, language):

    out.openSubsection("Language setup")

    try: # Check for CSS tool existance
        language_tool = getToolByName(self, 'portal_languages')
    except AttributeError:
        out.error("'portal_languages' tool not found. 'PloneLanguageTool' product is missing.")
    else:

        try:
            language_tool.manage_setLanguageSettings(**language)
            out.success("Completed language setup without errors.")
        except Exception, e:
            out.error("failed languages configuration. (Error message : %s)" % str(e))

    out.closeSubsection("Language setup")



#########################################################################################################
######################################### Remove functions ##############################################
#########################################################################################################



## _removeLanguage
# 
# Remove language configuration.
# TODO : Create a remove language method.
def _removeLanguage(self, out, language):

    out.openSubsection("Language removal")

    try: # Check for CSS tool existance
        language_tool = getToolByName(self, 'portal_languages')
    except AttributeError:
        out.error("'portal_languages' tool not found. 'PloneLanguageTool' product is missing.")
    else:
        out.info("Language configuration can not be removed.")

    out.closeSubsection("Language removal")



#########################################################################################################
######################################### Private functions #############################################
#########################################################################################################

