## File "PloneInstaller/Scripts/mailhost_setup.py"
## -*- coding: utf-8 -*-
# 
# This file use the configuration described in "Configs/mailhost.py" to setup the portal mailhost.



from Products.CMFCore.utils import getToolByName



#########################################################################################################
########################################## Public methods ###############################################
#########################################################################################################



def mailhost_install(self, out, project_name, globals):
    try:
      mailhost_module = __import__("Configs.mailhost",
                                            globals, locals(),
                                           [
                                              'MAILHOST_CONFIGURATION',
                                            ]
                                          )

      out.openSection("Configs.mailhost setup")

      # MailHost configuration
      mailhost_configuration = getattr(mailhost_module, 'MAILHOST_CONFIGURATION', None)
      if mailhost_configuration != None:
        _installMailHost(self, out, mailhost_configuration)

      out.closeSection("Configs.mailhost setup")

    except ImportError:
        out.info("Configs.mailhost setup : Noting to be done.")



##---------------------------------------------------------------------------



def mailhost_remove(self, out, project_name, globals):
    try:
      mailhost_module = __import__("Configs.mailhost",
                                            globals, locals(),
                                           [
                                              'MAILHOST_CONFIGURATION',
                                            ]
                                          )

      out.openSection("Configs.mailhost removal")

      # MailHost configuration
      mailhost_configuration = getattr(mailhost_module, 'MAILHOST_CONFIGURATION', None)
      if mailhost_configuration != None:
        _removeMailHost(self, out, mailhost_configuration)

      out.closeSection("Configs.mailhost removal")

    except ImportError:
        out.info("Configs.mailhost removal : Noting to be done.")



#########################################################################################################
######################################## Install functions ##############################################
#########################################################################################################



## _installMailHost
# 
# Setup mailhost configuration
def _installMailHost(self, out, mailhost_configuration):

    out.openSubsection("MailHost setup")

    try: # Check for CSS tool existance
        mailhost_tool = getToolByName(self, 'MailHost')
    except AttributeError:
        out.error("'MailHost' tool not found !")
    else:

        try:
            mailhost_tool.setConfiguration(**mailhost_configuration)
            out.success("Completed mailhost setup without errors.")
        except Exception, e:
            out.error("failed mailhost configuration. (Error message : %s)" % str(e))

    out.closeSubsection("MailHost setup")



#########################################################################################################
######################################### Remove functions ##############################################
#########################################################################################################



## _removeMailHost
# 
# Remove mailhost configuration.
# TODO : Create a remove mailhost method.
def _removeMailHost(self, out, mailhost_configuration):

    out.openSubsection("MailHost removal")

    try: # Check for CSS tool existance
        mailhost_tool = getToolByName(self, 'MailHost')
    except AttributeError:
        out.error("'MailHost' tool not found !")
    else:
        out.info("MailHost configuration can not be removed.")

    out.closeSubsection("MailHost removal")



#########################################################################################################
######################################### Private functions #############################################
#########################################################################################################

