## File "PloneInstaller/Scripts/members_setup.py"
## -*- coding: utf-8 -*-
# 
# This file use the configuration described in "Configs/members.py" to setup the portal members.



from Products.CMFCore.utils import getToolByName



#########################################################################################################
########################################## Public methods ###############################################
#########################################################################################################



def members_install(self, out, project_name, globals):
    try:
      members_module = __import__("Configs.members",
                                            globals, locals(),
                                           [
                                              'MEMBER_AREA_CREATION',
                                            ]
                                          )

      out.openSection("Configs.members setup")

      # Members configuration
      members_area_creation = getattr(members_module, 'MEMBER_AREA_CREATION', None)
      if members_area_creation != None:
        _installMembersArea(self, out, members_area_creation)

      out.closeSection("Configs.members setup")

    except ImportError:
        out.info("Configs.members setup : Noting to be done.")



##---------------------------------------------------------------------------



def members_remove(self, out, project_name, globals):
    try:
      members_module = __import__("Configs.members",
                                            globals, locals(),
                                           [
                                              'MEMBER_AREA_CREATION',
                                            ]
                                          )

      out.openSection("Configs.members removal")

      # Members configuration
      members_area_creation = getattr(members_module, 'MEMBER_AREA_CREATION', None)
      if members_area_creation != None:
        _removeMembersArea(self, out, members_area_creation)

      out.closeSection("Configs.members removal")

    except ImportError:
        out.info("Configs.members removal : Noting to be done.")



#########################################################################################################
######################################## Install functions ##############################################
#########################################################################################################



## _installMembersArea
# 
# Setup members area configuration
def _installMembersArea(self, out, members_area_creation):

    out.openSubsection("Members area setup")

    try: # Check for CSS tool existance
        membership_tool = getToolByName(self, 'portal_membership')
    except AttributeError:
        out.error("'membership' tool not found !")
    else:
        try:
            if members_area_creation:
              if not membership_tool.getMemberareaCreationFlag():
                membership_tool.setMemberareaCreationFlag()
                out.info("Enabled member area creation.")
            else:
              if membership_tool.getMemberareaCreationFlag():
                membership_tool.setMemberareaCreationFlag()
                out.info("Disabled member area creation.")

            out.success("Completed members area setup without errors.")
        except Exception, e:
            out.error("failed members area configuration. (Error message : %s)" % str(e))

    out.closeSubsection("Members area setup")



#########################################################################################################
######################################### Remove functions ##############################################
#########################################################################################################



## _removeMembersArea
# 
# Remove members area configuration.
# TODO : Create a remove members area configuration method.
def _removeMembersArea(self, out, members_area_creation):

    out.openSubsection("Members area removal")

    try: # Check for CSS tool existance
        membership_tool = getToolByName(self, 'portal_membership')
    except AttributeError:
        out.error("'membership' tool not found !")
    else:
        out.info("Members area configuration can not be removed.")

    out.closeSubsection("Members area removal")



#########################################################################################################
######################################### Private functions #############################################
#########################################################################################################

